PHP Manual
Prev |  | Next

# imagick_shade

(PECL)

imagick_shade -- Shine a distant light on an image to create a three-dimensional effect

## Description

bool imagick_shade ( resource image, int gray, float azimuth, float elevation )

Warning
This function is currently not documented; only the argument list is available.

## Parameters

`image`

  Image handle

`gray`

  A value other than zero shades the intensity of each pixel

`azimuth`

  Azimuth of the light source direction

`elevation`

  Elevation of the light source direction

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
imagick_setfontstyle | Up | imagick_sharpen